Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 308521 - Xorg 1.7 stabilization
Summary: Xorg 1.7 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: STABLEREQ
: 312067 (view as bug list)
Depends on: 290739 298352 302506 304493 308523 312021 315023 315483
Blocks: 314899 322559 327777 330593
  Show dependency tree
 
Reported: 2010-03-08 21:22 UTC by Chí-Thanh Christopher Nguyễn
Modified: 2010-08-09 09:06 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,887 bytes, text/plain)
2010-03-08 21:56 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,970 bytes, text/plain)
2010-03-08 22:20 UTC, Chí-Thanh Christopher Nguyễn
Details
/xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1023 bytes, text/plain)
2010-03-17 16:50 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1.00 KB, text/plain)
2010-03-21 17:15 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1.00 KB, text/plain)
2010-03-29 16:34 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1.00 KB, text/plain)
2010-03-29 16:34 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1.00 KB, text/plain)
2010-03-29 19:53 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1.18 KB, text/plain)
2010-03-30 10:58 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1.23 KB, text/plain)
2010-03-31 16:00 UTC, Chí-Thanh Christopher Nguyễn
Details
xorg-1.7-stabilization.txt (xorg-1.7-stabilization.txt,1.30 KB, text/plain)
2010-04-01 19:23 UTC, Chí-Thanh Christopher Nguyễn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-08 21:22:24 UTC
See attached file for the stabilization list.
Comment 1 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-08 21:56:37 UTC
Created attachment 222729 [details]
xorg-1.7-stabilization.txt

first draft for the stabilization list
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-08 22:20:51 UTC
Created attachment 222731 [details]
xorg-1.7-stabilization.txt

second draft of the stabilization list
Comment 3 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-17 16:50:38 UTC
Created attachment 224029 [details]
/xorg-1.7-stabilization.txt

third draft of the stabilization list
Comment 4 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-21 17:15:03 UTC
Created attachment 224571 [details]
xorg-1.7-stabilization.txt

Stabilization list.
Comment 5 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-29 16:34:33 UTC
Created attachment 225681 [details]
xorg-1.7-stabilization.txt

final stabilization list

Arches: please stabilize the packages in this list if they are keyworded for your arch.
Comment 6 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-29 16:34:38 UTC
Created attachment 225683 [details]
xorg-1.7-stabilization.txt

final stabilization list

Arches: please stabilize the packages in this list if they are keyworded for your arch.
Comment 7 Roland Ramthun 2010-03-29 18:39:10 UTC
Shouldn't =x11-drivers/xf86-input-ati-6.12.6 be =x11-drivers/xf86-video-ati-6.12.6?
Comment 8 Roland Ramthun 2010-03-29 19:21:31 UTC
I just upgraded my stable amd64 system with radeon driver (ATI RV710 [Radeon HD 4550]) and evdev.

Upgrade and operation as expected, no problems.


Portage 2.1.7.17 (default/linux/amd64/10.0/no-multilib, gcc-4.3.4, glibc-2.10.1-r1, 2.6.31-gentoo-r10 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r10-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8500_@_3.16GHz-with-gentoo-1.12.13
Timestamp of tree: Mon, 29 Mar 2010 18:00:01 +0000
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.10.3
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ABI="amd64"
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="amd64"
ASFLAGS_x86="--32"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CDEFINE_amd64="__x86_64__"
CDEFINE_x86="__i386__"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLISION_IGNORE="/lib/modules"
COLORTERM="gnome-terminal"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CVS_RSH="ssh"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-3JkSCSryOo,guid=73e4ebbe514eb3e74e1aaea74bb0fb6d"
DEFAULT_ABI="amd64"
DESKTOP_SESSION="gnome"
DISPLAY=":0.0"
DISTDIR="/usr/portage/distfiles"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="-aDv"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FEATURES="assume-digests distlocks fixpackages news protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userpriv"
FETCHCOMMAND="/usr/bin/wget -t 5 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
GCC_SPECS=""
GDK_USE_XFT="1"
GDMSESSION="gnome"
GDM_LANG="de_DE.UTF-8"
GDM_XSERVER_LOCATION="local"
GENTOO_MIRRORS="http://mirror.ovh.net/gentoo-distfiles/"
GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
GNOME_KEYRING_SOCKET="/tmp/keyring-4ZcL2L/socket"
GTK_RC_FILES="/etc/gtk/gtkrc:/home/roland/.gtkrc-1.2-gnome2"
HOME="/root"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.18/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.4/info"
INPUT_DEVICES="evdev"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
LANG="de_DE.UTF-8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_ALL="de_DE.UTF-8"
LDFLAGS="-Wl,-O1"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LINGUAS="de"
LOGNAME="root"
MAKEOPTS="-j1"
MULTILIB_ABIS="amd64"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OPENGL_PROFILE="xorg-x11"
ORBIT_SOCKETDIR="/tmp/orbit-roland"
PAGER="/usr/bin/less"
PATH="/sbin:/bin:/usr/sbin:/usr/bin"
PKGDIR="/usr/portage/packages"
PORTAGE_BINHOST_CHUNKSIZE="3000"
PORTAGE_BIN_PATH="/usr/lib64/portage/bin"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="log warn error"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save_summary echo"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_PYM_PATH="/usr/lib64/portage/pym"
PORTAGE_RSYNC_RETRIES="3"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTDIR="/usr/portage"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/home/roland"
PYTHONDONTWRITEBYTECODE="1"
RESUMECOMMAND="/usr/bin/wget -c -t 5 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.3.4"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby18"
SANE_CONFIG_DIR="/etc/sane.d"
SESSION_MANAGER="local/localhost:@/tmp/.ICE-unix/4163,unix/localhost:/tmp/.ICE-unix/4163"
SHELL="/bin/bash"
SHLVL="2"
SSH_AGENT_PID="4182"
SSH_AUTH_SOCK="/tmp/keyring-4ZcL2L/socket.ssh"
STAGE1_USE="nptl nptlonly unicode"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="xterm"
USB_DEVFS_PATH="/dev/bus/usb"
USE="X acl acpi alsa amd64 berkdb bzip2 cli consolekit cracklib crypt cups cxx dbus dri eds exif flac fortran fuse gdbm gnome gpm hal iconv idn ipv6 jpeg libnotify mmx modules mp3 mudflap nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf png pppd readline reflection session smp spl sse sse2 ssl ssse3 startup-notification svg sysfs theora threads truetype unicode vorbis xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" 
USER="root"
USERLAND="GNU"
USERNAME="roland"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CAMERAS CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
VIDEO_CARDS="radeon"
WINDOWID="25165867"
WINDOWPATH="7"
XAUTHORITY="/root/.xauthCTB4Ts"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/share/gdm"
XDG_MENU_PREFIX="gnome-"
XDG_SESSION_COOKIE="e3514d050c89b9736e1640b24b4b6bd9-1269889900.641354-1342597868"
_="/usr/bin/emerge"
Comment 9 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-29 19:53:25 UTC
Created attachment 225725 [details]
xorg-1.7-stabilization.txt

final stabilization list, corrected as per comment #7
Comment 10 aceone 2010-03-29 21:44:14 UTC
emerge -NDuav world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] dev-libs/nspr-4.8.4 [4.8] USE="-debug (-ipv6%*)" 1,169 kB
[ebuild     U ] dev-libs/nss-3.12.6-r1 [3.12.5] USE="utils" 5,809 kB
[ebuild     U ] x11-base/xorg-drivers-1.7 [1.6] INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -joystick -synaptics -tslib -virtualbox -vmmouse -void -wacom (-citron%) (-elographics%) (-fpit%) (-hyperpen%) (-mutouch%) (-penmount%)" VIDEO_CARDS="radeon radeonhd -apm -ark -ast -chips -cirrus -dummy -epson -fbdev -fglrx (-geode) -glint -i128 (-i740) (-impact) -intel -mach64 -mga -neomagic (-newport) -nv (-nvidia) -r128 -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vesa -via -virtualbox -vmware (-voodoo) (-xgi)" 0 kB
[ebuild     U ] x11-misc/util-macros-1.6.1 [1.5.0] 61 kB
[ebuild     U ] x11-libs/libdrm-2.4.18_pre20100211-r1 [2.4.15] USE="-debug" 175 kB
[ebuild     U ] x11-proto/dri2proto-2.3 [2.1] 94 kB
[ebuild     U ] x11-proto/xineramaproto-1.2 [1.1.2] 82 kB
[ebuild     U ] x11-proto/xextproto-7.1.1 [7.0.5] 70 kB
[ebuild     U ] x11-proto/fixesproto-4.1.1 [4.0] 90 kB
[ebuild     U ] x11-proto/scrnsaverproto-1.2.0 [1.1.0] 49 kB
[ebuild     U ] x11-proto/recordproto-1.14 [1.13.2] 83 kB
[ebuild     U ] x11-proto/xf86vidmodeproto-2.3 [2.2.2] 83 kB
[ebuild     U ] x11-proto/xf86dgaproto-2.1 [2.0.3] 84 kB
[ebuild     U ] x11-apps/mesa-progs-7.7 [7.5.1] 20,784 kB
[ebuild     U ] x11-libs/libX11-1.3.3 [1.2.2] USE="doc%* ipv6 xcb -debug -test%" 2,116 kB
[ebuild     U ] x11-libs/libXext-1.1.1 [1.0.5] USE="-debug" 312 kB
[blocks b     ] <x11-libs/libXext-1.0.99 ("<x11-libs/libXext-1.0.99" is blocking x11-proto/xextproto-7.1.1)
[ebuild     U ] x11-libs/libXt-1.0.8 [1.0.7-r1] USE="-static-libs% (-debug%)" 524 kB
[ebuild     U ] x11-apps/luit-1.0.5 [1.0.4] USE="-debug" 120 kB
[ebuild     U ] x11-libs/libXi-1.3 [1.2.1] USE="-debug" 343 kB
[ebuild     U ] x11-libs/libXxf86dga-1.1.1 [1.0.2] USE="-debug" 249 kB
[blocks b     ] <x11-libs/libXxf86dga-1.0.99.1 ("<x11-libs/libXxf86dga-1.0.99.1" is blocking x11-proto/xf86dgaproto-2.1)
[ebuild     U ] x11-libs/libXxf86vm-1.1.0 [1.0.2] USE="-debug" 243 kB
[blocks b     ] <x11-libs/libXxf86vm-1.0.99.1 ("<x11-libs/libXxf86vm-1.0.99.1" is blocking x11-proto/xf86vidmodeproto-2.3)
[ebuild     U ] x11-libs/libXinerama-1.1 [1.0.3] USE="-debug" 240 kB
[blocks b     ] <x11-libs/libXinerama-1.0.99.1 ("<x11-libs/libXinerama-1.0.99.1" is blocking x11-proto/xineramaproto-1.2)
[ebuild     U ] net-libs/xulrunner-1.9.2.2-r1 [1.9.2.2] USE="alsa custom-optimization dbus gnome java libnotify startup-notification -debug -system-sqlite -wifi" 0 kB
[ebuild     U ] x11-apps/xmessage-1.0.3 [1.0.2-r1] USE="-debug" 109 kB
[ebuild     U ] x11-libs/libXScrnSaver-1.2.0 [1.1.3] USE="-static-libs% (-debug%)" 243 kB
[blocks b     ] <x11-libs/libXScrnSaver-1.2 ("<x11-libs/libXScrnSaver-1.2" is blocking x11-proto/scrnsaverproto-1.2.0)
[ebuild     U ] x11-libs/libXtst-1.1.0 [1.0.3] USE="-debug" 251 kB
[blocks b     ] <x11-libs/libXtst-1.0.99.2 ("<x11-libs/libXtst-1.0.99.2" is blocking x11-proto/recordproto-1.14)
[ebuild     U ] www-client/epiphany-2.26.3-r3 [2.26.3-r1] USE="avahi doc python spell -debug -networkmanager" 0 kB
[ebuild     U ] x11-apps/xinput-1.5.1 [1.4.2] USE="-debug" 121 kB
[ebuild     U ] x11-base/xorg-server-1.7.6 [1.6.5-r1] USE="hal ipv6 nptl sdl xorg -debug -dmx -kdrive -minimal -tslib" 4,813 kB

[blocks B     ] <x11-libs/libXi-1.2.99 ("<x11-libs/libXi-1.2.99" is blocking x11-proto/inputproto-2.0)

Total: 31 packages (29 upgrades, 1 new, 1 reinstall), Size of downloads: 38,441 kB
Conflict: 7 blocks (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'x11-proto/inputproto-2.0', 'merge') pulled in by
    >=x11-proto/inputproto-2.0 required by ('ebuild', '/', 'x11-apps/xinput-1.5.1', 'merge')
    >=x11-proto/inputproto-2.0 required by ('ebuild', '/', 'x11-libs/libXi-1.3', 'merge')
    x11-proto/inputproto required by ('ebuild', '/', 'x11-libs/libXtst-1.1.0', 'merge')
    (and 3 more)

  ('installed', '/', 'x11-libs/libXi-1.2.1', 'nomerge') pulled in by
    x11-libs/libXi required by ('installed', '/', 'x11-apps/xdpyinfo-1.1.0', 'nomerge')
    x11-libs/libXi required by ('installed', '/', 'dev-python/pyopengl-3.0.1_beta1', 'nomerge')
    x11-libs/libXi required by ('installed', '/', 'games-puzzle/codebreaker-1.2.1-r1', 'nomerge')
    (and 15 more)


emerge --info
Portage 2.1.7.17 (hardened/linux/amd64/10.0, gcc-4.3.4-hardenednopie, glibc-2.10.1-r1, 2.6.33-gentoo x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5200+-with-gentoo-1.12.13
Timestamp of tree: Mon, 29 Mar 2010 04:45:02 +0000
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6-r1, 1.8.5-r4, 1.9.6-r3, 1.10.3
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -msse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://141.30.228.4/pub/mirrors/gentoo/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ "
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/zen-sources /usr/local/portage/layman/sunrise"
SYNC="rsync://91.121.180.229/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib acl additions aim alsa amd64 apache2 autoipd automount avahi bash-completion berkdb bittorrent blender-game bookmarks bzip2 cairo cdda cddax cddb cdio cdparanoia cdr cgi charmap cleartype cli client colorpicker compressed-lumas consolekit cracklib crypt cscope css ctype cups curl custom-cflags custom-optimization cxx dbus dga dhcpcd dirac directfb disk-partition doc dri dts dv dvd dvdnav dvdr eds embedded emboss emovix encode esd exif extras fbcon ffmpeg filter firefox flac flatfile fontconfig ftp fts3 fuse gd gdbm gecko geoip ggi gif gimp gnome gnutls gphoto2 gpm gps gsl gsm gstreamer gtk guile gzip h323 hal hardened hddtemp howl-compat httpd iconv icq icu id3tag idn ieee1394 ipv6 iso14755 jabber jack jadetex java javascript jbig jfs joystick jpeg jpeg2k justify kate kde lame lcms ldap libass libgda libnotify libproxy libsamplerate libtiger libv4l libv4l2 libvisual live lm_sensors lua lzo mad math mdnsresponder-compat melt mikmod mjpeg mmx mmxext mng modplug modules mono mouse mp3 mpeg mplayer msn mtp mudflap multilib musepack musicbrainz mysql mysqli ncurses networking nls nptl nptlonly ntfs ntp objc objc++ offensive ogg openal opengl openmp optimization oss otr pam pcre perl php physfs pic png policykit pppd prediction python qq qt3support qt4 quicktime readline reflection reiserfs replytolist resolvconf rss rtsp ruby samba sasl schroedinger sdl sdl-image secure-delete semantic-desktop server session shine shout showtabbar silc sip skins smartspaces smp sndfile sockets socks5 source speex spell spl sql sqlite srtp sse sse2 sse3 ssl ssse3 startup-notification stats stream strong-optimization suexec suid svg sysfs syslog taglib tcl tcpd terminal tga theora threads tiff tk truetype twolame type3 udev udf unicode urandom usb utils v4l v4l2 vcd vcdinfo vcdx vhook vhosts video videos vim-syntax vlm vnc vorbis wav wavpack webkit win64 winpopup wma-fixed wmf wxwidgets x264 xcb xforms xfs xft xine xinerama xml xorg xosd xpm xterm-color xulrunner xv xvid xvmc yahoo yv12 zeroconf zlib zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon radeonhd" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 11 mxedit10n 2010-03-29 22:41:14 UTC
i7 920, nvidia gtx 260, asus p6t, emerged without error:

Portage 2.1.7.17 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.11-r1, 2.6.33-gentoo x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 29 Mar 2010 13:30:25 +0000
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.9.6-r2, 1.10.3
sys-devel/binutils:  2.20-r1
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -msse4 -mcx16 -msahf -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -msse4 -mcx16 -msahf -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org/ "
LANG="C"
LDFLAGS="-Wl,-O1"
LINGUAS="en_US en"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss en_US encode evo fam ffmpeg firefox flac fortran gdbm gif gnome gpm gstreamer gtk hal iconv ipv6 jpeg libnotify lm_sensors mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support quicktime readline reflection sdl session spell spl sse sse2 sse3 sse4 ssl startup-notification svg sysfs tcpd thunar tiff truetype unicode usb vorbis x264 xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" 
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" 
ELIBC="glibc" 
INPUT_DEVICES="keyboard mouse evdev" 
KERNEL="linux" 
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" 
LINGUAS="en_US en" 
RUBY_TARGETS="ruby18" 
USERLAND="GNU" 
VIDEO_CARDS="nvidia" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 12 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-30 10:58:50 UTC
Created attachment 225805 [details]
xorg-1.7-stabilization.txt

Add sparc specific packages per bug 312031.
Comment 13 Dustin Polke 2010-03-30 11:28:54 UTC
I needed to add =xfce-base/xfce4-settings-4.6.3-r1 as well to package.keywords
to solve block between <libXi-1.3 and >=libXi-1.3 dependecies.
Comment 14 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-03-31 16:00:42 UTC
Created attachment 225979 [details]
xorg-1.7-stabilization.txt

Add xcb as per discussion on IRC.
Comment 15 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-04-01 19:19:08 UTC
*** Bug 312067 has been marked as a duplicate of this bug. ***
Comment 16 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-04-01 19:23:01 UTC
Created attachment 226171 [details]
xorg-1.7-stabilization.txt

Stabilization list with two additional packages (xfce4-settings and gnome-power-manager) which need to go stable at the same time.
Comment 17 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-04-01 19:26:27 UTC
Arches, please stabilize the package versions listed in attachment 226171 [details].
Packages which are not keyworded for your arch can be skipped.
Comment 18 Thomas Kahle (RETIRED) gentoo-dev 2010-04-08 16:51:11 UTC
Running this on my productive x86-system for a while now. Now issues.
Comment 19 Dragos Delcea 2010-04-09 09:25:21 UTC
I'm running this on a 32 bit gentoo with no issues (kernel 2.6.32, radeon 6.13.0 UMS, still holding off from KMS); the system gets daily use being my main work machine.
Comment 20 Roeland Douma 2010-04-09 10:38:53 UTC
x86: have been running xorg-1.7 for 2 days now without any problems on my laptop, onboard ati card running with the open source drivers.

emerge --info:
Portage 2.2_rc67 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.33-gentoo i686)
=================================================================
System uname: Linux-2.6.33-gentoo-i686-Genuine_Intel-R-_CPU_T2080_@_1.73GHz-with-gentoo-2.0.0
Timestamp of tree: Wed, 07 Apr 2010 20:00:01 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA dlj-1.1 skype-eula"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://mirror.leaseweb.com/gentoo/ http://gentoo.tiscali.nl/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ "
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en nl"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/ftd4linux /usr/overlay /usr/ol-commit"
SYNC="rsync://rsync.tiscali.nl/gentoo-portage"
USE="X a52 aac acpi akonadi alsa amr amrnb amrwb bash-completion bzip2 cairo cdda chm cisco cli cracklib crypt cups curl cxx dbus desktopglobe dia djvu dri dvd dvdr dvdread exif facebook ffmpeg flac fontconfig fortran ftp gdal gdbm geos gif git glitz gml gps hal highlight highlisht history iconv irmc jabber jpeg jpeg2k kde kpathsea lame lastfm latex libnotify libsamplerate live logitech-mouse mad matroska midi mmext mmx mng modules mp2 mp3 mplayer msn mudflap ncurses nls npp nptl nptlonly nsplugin obex ogg openexr opengl openmp openvpn oscar oss otr pam pcre pdf perl plasma png policykit postscript ppds pppd privacy proj python qt3support qt4 quicktime rdesktop readline reflection rtsp sdl semantic-desktop session sox spell spl sse sse2 ssl statistics subversion svg synaptics sysfs tcpd tetex theora threads tiff truetype unicode v4l2 vlm vorbis win32codecs wlm x264 x86 xcb xcomposite xine xml xorg xv xvid zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en nl" QEMU_SOFTMMU_TARGETS="arm" QEMU_USER_TARGETS="arm" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 21 Christian Faulhammer (RETIRED) gentoo-dev 2010-04-09 10:52:57 UTC
stable x86, thank you, Thomas, Dragos and Roeland, for testing
Comment 22 Anton Bolshakov 2010-04-09 14:04:52 UTC
I'm still not sure yet, but I had nasty x86 stable system freeze with both video-ati version ~6.12.6 ~6.13.0 and external monitor 1920x1200 during last 1 week. I've moved back to the 6.12.5 today and it's running fine for the 5 hours.
I'll test some more and report in a separate bug report.
Comment 23 Markus Hauschild 2010-04-09 14:46:55 UTC
running without a problem on my desktop and laptop for over a week (both amd64 with 2.6.33, nvidia-drivers 195.36.15 and KDE 4.3.5)
Comment 24 Malte E. 2010-04-09 15:23:33 UTC
running nicely on my laptop for a few months, too, in case anyone needs approval ;)
amd64, kernel-2.6.33, kde-4.4.1, most of the rest is stable.
Comment 25 Luke-Jr 2010-04-15 19:48:39 UTC
This creates conflicts with tigervnc. See bug 315483
Comment 26 Pacho Ramos gentoo-dev 2010-04-16 22:18:58 UTC
amd64 stable
Comment 27 nixnut (RETIRED) gentoo-dev 2010-04-18 16:42:12 UTC
ppc stable
Comment 28 Markus Meier gentoo-dev 2010-04-18 20:55:14 UTC
arm stable
Comment 29 Guy Martin (RETIRED) gentoo-dev 2010-06-04 14:16:44 UTC
hppa stable
Comment 30 Raúl Porcel (RETIRED) gentoo-dev 2010-08-02 18:54:18 UTC
alpha/ia64/sh/sparc stable
Comment 31 Samuli Suominen gentoo-dev 2010-08-02 19:15:01 UTC
this bug seems to be done for ppc64 wrt ChangeLog entries like,

2 May 2010; Brent Baude <ranger@gentoo.org>
gnome-power-manager-2.22.1-r1.ebuild:
Marking gnome-power-manager-2.22.1-r1 ppc64 stable for bug 308521